# Facial Recognition and Facial Expression Models and Weights

### Tiny Face Detector

It is a realtime face detector.

### Face Expression Recognition Model

It is a models that recognizes facial expressions.

### Usage

Both models are loaded using face-api which is as AI-powered Face Detection & Rotation Tracking, Face Description & Recognition, Age & Gender & Emotion Prediction for Browser and NodeJS using TensorFlow/JS.

Depending on the browser and hardware acceleration available the tensorflow.js will use a webgl backend of a cpu backend.

## LICENSE

The models were both downloaded from the face-api repository, https://github.com/vladmandic/face-api , and they can be found in this folder https://github.com/vladmandic/face-api/tree/master/model.

The repository has a MIT License. More information can be found here https://github.com/vladmandic/face-api/blob/master/LICENSE.